### Class

# Msg UserService

since: 0

#### Description

    final class Msg.UserService : Msg.Service
    {
      /* No available fields */
    }

No description available.

Available since: 0

#### Ancestors

- MsgService
- GObject

#### Constructors

###### msg_user_service_new

No description available.

since: 0

#### Instance methods

###### msg_user_service_get_user

Get user information.

since: 0

##### Methods inherited from MsgService (6)

###### msg_service_build_message

Construct and checks a `SoupMessage` for transfer.

since: 0

###### msg_service_get_authorizer

Get related authorizer.

since: 0

###### msg_service_get_session

Get related soup session.

since: 0

###### msg_service_refresh_authorization

No description available.

since: 0

###### msg_service_send

Adds authorizer information to `message` and send it.

since: 0

###### msg_service_send_and_read

Adds authorizer information to `message` and send it.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from MsgService (1)

###### Msg.Service:authorizer

No description available.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct MsgUserServiceClass {
      MsgServiceClass parent_class;

    }

No description available.

###### Class members

`parent_class: MsgServiceClass`
  No description available.